BlastLike2XML (BioJava Demos API)
Keywords: nativeapps.BlastLike2XML class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nativeapps
Class BlastLike2XML

    java.lang.Object
      nativeapps.BlastLike2XML

Deprecated. Prior to the biojava1.1 release - use equivalent class in the demo package eventbasedparsing. Classes in this package were deprecated because nativeapps is an unhelpful name.

    public class BlastLike2XML

extends Object

Blast2XML is an application for the conversion native output from BLAST-like bioinformatics software into an XML format.

For currently supported bioinformatics programs, please see the documentation for the BlastLikeSaxParser. This class simply wraps the functionality of BlastLikeToXMLConverter. Please see the documentation of this class for a documented example of how to use the parsing framework.

The XML produced should validate against the biojava BlastLikeDataSetCollection DTD.

Usage is:

     java Blast2XML <blastlike pathname> [-mode <strict|lazy>]

-mode is optional paramater. Choosing strict mode will mean the application throws exceptions if the precise version of a given piece of bioinformatics software is not recognised. Lazy mode will attempt to parse the file regardless of version number.

For programs currently supported, please see the documentation for the BlastLikeSAXParser.

Copyright © 2000 Cambridge Antibody Technology. All Rights Reserved.

Primary author -

- Simon Brocklehurst (CAT)

Other authors -

- Tim Dilks (CAT)
- Colin Hardman (CAT)
- Stuart Johnston (CAT)

Version:
  1.0
Author:
  Cambridge Antibody Technology (CAT)
See Also:
  `BlastLikeToXMLConverter`, `BlastLikeSAXParser`

Constructor Summary
`BlastLike2XML()` Deprecated.

Method Summary
`static void` | `main(String[] args)` Deprecated. Converts an file containing the output from bioinformatics software with a "blast-like" format into an XML format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlastLike2XML

    public BlastLike2XML()

  Deprecated.

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated.
  Converts an file containing the output from bioinformatics software with a "blast-like" format into an XML format.

  Parameters:
    `args` - a `String[]` representation of a pathname
  Throws:
    `Exception` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD